/*
 * stdarg.h
 */
#ifndef _STDARG_H_
#define _STDARG_H_

typedef char *va_list;

#define __INTSIZE(n)     (((sizeof(n) + sizeof(int) - 1) / sizeof(int)) * sizeof(int))
#define va_start(ap,t)   (ap = (va_list)&t + __INTSIZE(t))
#define va_arg(ap,t)     (*(t *)((ap += __INTSIZE(t)) - __INTSIZE(t)))
#define va_end(ap)

#endif  /* _STDARG_H_ */
