# Rules.make    .

CC := gcc
LD := ld

ALLFLAGS := -Wall -nostdinc -I../include
ASFLAGS := $(ALLFLAGS)
CFLAGS := -Os -fno-builtin -c $(ALLFLAGS)
LDFLAGS := -s -n

OBJS := $(patsubst %.S,%.o,$(wildcard *.S))
OBJS += $(patsubst %.c,%.o,$(wildcard *.c))

%.o: %.S
	$(CC) -c $(ASFLAGS) -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -o $@ $<

ifneq ($(wildcard .depend),)
include .depend
endif
