#include <mm.h>
#include <kernel.h>
#include <display.h>

unsigned int page_dir[1024] __attribute__ ((section (".bss.page_dir")));
static unsigned int page_tab[1024] __attribute__ ((section (".bss.page_tab")));

void mm_init(void)
{
	unsigned int base;
	int i;

	page_dir[0] = ((unsigned int)page_tab) | 0x07;
	for( i=base=0; i <= 191; i++ )
	{
		page_tab[i] = base | 0x07;
		base += 0x1000;
	};
}
