#include <asm/io.h>
#include <irq.h>
#include <display.h>
#include <timer.h>
#include <kernel.h>
#include <task.h>

extern void irq_timer(void);

static unsigned int tick;

void timer_print(void)
{
	printk("\nTimer ticks: %u\n",tick);
}

void do_timer(unsigned int *ad)
{
	outb(0x20,0x20);
	tick++;
	task_switch(ad);
}

void timer_init(void)
{
	set_irq(0,irq_timer);
	puts("Timer init OK...\n");
}
